Bug 139155 - system-config-securitylevel dialog does not show up
system-config-securitylevel dialog does not show up
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
: 139166 139202 139366 139525 139737 139901 140256 140507 140548 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-11-13 05:40 EST by Peeter Puusemp
Modified: 2007-11-30 17:10 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-29 16:56:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to selinuxPage.py in system-config-security package (497 bytes, patch)
2004-11-13 12:25 EST, Mark Broadbent
no flags Details | Diff

  None (edit)
Description Peeter Puusemp 2004-11-13 05:40:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Whenever I try to open Security Level dialog from the menu the dialog
does not show up after entering the root password.

If to try to open the dialog in the command line with root access then
there is such output:

[root@localhost peeter]# system-config-securitylevel
Traceback (most recent call last):
line 18, in ?
  File "/usr/share/system-config-securitylevel/securitylevel.py", line
427, in stand_alone
    self.selinuxPage = selinuxPage.selinuxPage()
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line
329, in __init__
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line
427, in refreshTunables
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line
418, in loadBooleans
IndexError: list index out of range
[root@localhost peeter]#

After the installation of Fedora Core 3 it worked perfectly - it means
the dialog showed up. This bug started to happen after some upgrades
released today (12.Nov 2004). All earlier updates and upgrades had
been done before todays upgrade with the command #yum upgrade.

I have to mention that yesterday evening I removed many packages I
don't need with Add/Remove Applications. Some packages I removed from
command line like emacs and xemacs, but I don't remember that I had
removed important dependencies.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Remove quite many packages with the help of Add/Remove Applications
and #yum remove. Actually this isn't reproduceable as I did, because I
cannot list things I removed. You may skip it.
2. Use yum command #yum upgrade in the terminal that should do
upgrades released on 12.Nov 2004
3. Open Security Level dialog in Gnome main menu

Actual Results:  Nothing, system-config-securitylevel dialog does not
show up.

Expected Results:  system-config-securitylevel dialog should have
popped up.

Additional info:
Comment 1 Bruno Hertz 2004-11-13 06:36:21 EST
Just FYI, the same error occurs here on my system with all updates
installed, i.e. besides other packages
Comment 2 The Grayven 2004-11-13 08:15:52 EST
This is due to a change in the getsebool tool.
As a bypass, you could downgrade libselinux from version 1.19.1-3 to
Comment 3 Mark Broadbent 2004-11-13 12:25:49 EST
Created attachment 106642 [details]
Patch to selinuxPage.py in system-config-security package

The attached patch will correct the problematic file in the latest FC3 version.
Comment 5 Paul Nasrat 2004-11-13 13:37:59 EST
*** Bug 139166 has been marked as a duplicate of this bug. ***
Comment 6 Daniel Walsh 2004-11-13 13:54:51 EST
system-config-securitylevel-1.4.17-1  Should fix this problem.

Comment 7 Daniel Walsh 2004-11-13 14:11:47 EST
Make that system-config-securitylevel-1.4.18-1
Comment 8 Gene Czarcinski 2004-11-14 12:48:09 EST
Is this one of those situations where the update will be pushed to
rawhide (development) and not put out as an Update?

This package does not work in FC3 and this should be issued as an
Update (just my opinion).
Comment 9 Daniel Walsh 2004-11-14 15:02:38 EST
It will be coming out as an update.

Comment 10 Gene Czarcinski 2004-11-14 15:07:48 EST
Thank you.
Comment 11 Paul Nasrat 2004-11-15 08:53:53 EST
*** Bug 139202 has been marked as a duplicate of this bug. ***
Comment 12 Paul Nasrat 2004-11-15 11:32:49 EST
*** Bug 139366 has been marked as a duplicate of this bug. ***
Comment 13 Paul Nasrat 2004-11-16 10:58:16 EST
*** Bug 139525 has been marked as a duplicate of this bug. ***
Comment 14 Paul Nasrat 2004-11-17 15:27:49 EST
*** Bug 139737 has been marked as a duplicate of this bug. ***
Comment 17 Ian Laurie 2004-11-18 05:21:09 EST
Just playing with system-config-securitylevel-1.4.18-2 from testing,
there seems to be a few problems:

It is trying to access "getenforce" in /usr/sbin whereas on my FC3 it
is in /usr/bin.  A symbolic link can fix that of course.

But worse, according to the doc:


you are supposed to be able to access a bunch of httpd booleans and
also enable/disable httpd protection, yet none of this shown up in the
Comment 18 Daniel Walsh 2004-11-18 10:06:19 EST
You need to update your version of libselinux.

Comment 19 Ian Laurie 2004-11-19 02:15:36 EST
OK, but the testing directory:


Which is where I got system-config-securitylevel-1.4.18-2 currently
has no libselinux package, so I downloaded one from the development


Seems to be working fine so far.
Comment 20 Daniel Walsh 2004-11-19 13:41:07 EST
*** Bug 139901 has been marked as a duplicate of this bug. ***
Comment 21 Paul Nasrat 2004-11-22 10:06:11 EST
*** Bug 140256 has been marked as a duplicate of this bug. ***
Comment 22 Paul Nasrat 2004-11-23 08:43:59 EST
*** Bug 140507 has been marked as a duplicate of this bug. ***
Comment 23 Paul Nasrat 2004-11-23 11:57:52 EST
*** Bug 140548 has been marked as a duplicate of this bug. ***
Comment 24 Paul Nasrat 2004-11-24 14:55:29 EST
This has been pushed to FC3 updates.
Comment 25 Paul Nasrat 2004-11-29 16:56:58 EST
Closing as released update.
Comment 26 Michael Opdenacker 2004-11-30 03:19:08 EST
I confirm that the issue is fixed.
Thanks a lot for your support!



Note You need to log in before you can comment on or make changes to this bug.